!> @file arnoldi2py.f90
!! Fortran to python interface file.

!> Interface to Arnoldi algorithm
module arnoldi2py

!  use client_data
  use hysopparam
  use arnoldi
  use mpi
  implicit none

contains

  !> Arnoldi algorithm: solve eigen-problems for global linear stability analysis
  !! @param[in] number of snapshots (i.e. dimension of the Krylov basis)
  !! @param[in] solutions (snapshots as input and eigen-functions as output)
  !! @param[inout] work array. Input: empty array
  subroutine execute_arnoldi(solutions,ncli,ntot,nfp,nmodes,Tps)

    integer, intent(in) :: ncli, ntot, nfp, nmodes
    real(pk), intent(in) :: Tps
    real(pk), dimension(:,:), intent(inout) :: solutions

    call arnoldi3d(solutions,ncli,ntot,nfp,nmodes,Tps)

  end subroutine execute_arnoldi

end module arnoldi2py
